Subject: Re: OSPF Virtual link question

From: Igor Miroshnik <[email-masked]>
Date: Mon, 27 Oct 2003 12:00:04 -0500

Archana,

In my humble opinion, there are two logically different routes from RUT to
TR1: first one to TR1 as ABR, and the second one to TR1 as ASBR. When you
talk about the former, a route to ABR in one area cannot affect another
area's route to the same ABR. In your case RUT preferred the backbone to
reach the ASBR TR1, but this doesn't mean anything in regard to ABR TR1.
Virtual link should work.

Thanks,
Igor

On Mon, 27 Oct 2003 16:10:12 +0000, abc xyz <[email-masked]> wrote:

>Hi All,
>
>I had a question regarding OSPF Virtual links, consider the following
>network diagram:
>
>      192.168.1.1_______area0______192.168.1.10
>               ____|____                ____|____
>              |   RUT    |              |    TR1      |
>              |_______|              |_________|
>          |                 |
>           172.20.5.1_____area1_____172.20.5.1
>
>
>A virtual link is configured across area 1 between the RUT & TR1.  When I
>run my code I end up adding the route to TR1 via area 0 since it's the same
>cost as across area 1.  As a result of this my virtual link never comes up
>because it does not know how to get to TR1 from area 1.  Could you please
>point me to the section in RFC 2328 that deals with this case?
>
>Thanks for your time.
>
>Regards,
>Archana
>
>_________________________________________________________________
>Send instant messages to anyone on your contact list with  MSN Messenger
>6.0.  Try it now FREE!  http://msnmessenger-download.com